Bug 1725788 - python-slugify fails to build in rawhide (Fedora 31)
Summary: python-slugify fails to build in rawhide (Fedora 31)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-slugify
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-text-unidecode
Blocks: F31FTBFS PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-01 13:00 UTC by Miro Hrončok
Modified: 2019-09-30 00:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-12 21:08:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-01 13:00:46 UTC
python-slugify fails to build with Python 3.8.0b1:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.r580Yt
+ umask 022
+ cd /builddir/build/BUILD
+ cd python-slugify-3.0.2
+ /usr/bin/python3 test.py
Traceback (most recent call last):
  File "/builddir/build/BUILD/python-slugify-3.0.2/slugify/slugify.py", line 17, in <module>
    import text_unidecode as unidecode
ModuleNotFoundError: No module named 'text_unidecode'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "test.py", line 4, in <module>
    from slugify import slugify
  File "/builddir/build/BUILD/python-slugify-3.0.2/slugify/__init__.py", line 1, in <module>
    from .slugify import *
  File "/builddir/build/BUILD/python-slugify-3.0.2/slugify/slugify.py", line 19, in <module>
    import unidecode
ModuleNotFoundError: No module named 'unidecode'
error: Bad exit status from /var/tmp/rpm-tmp.r580Yt (%check)

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.8/fedora-rawhide-x86_64/00953816-python-slugify/

For all our attempts to build python-slugify with Python 3.8, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/python-slugify/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.8:
https://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Let us know here if you have any questions.

Comment 1 Miro Hrončok 2019-07-01 13:02:02 UTC
The same failure with Python 3.7: https://koji.fedoraproject.org/koji/taskinfo?taskID=35811306

Comment 2 Petr Viktorin 2019-07-02 11:28:43 UTC
python3-unidecode needs to be added to BuildRequires: https://src.fedoraproject.org/rpms/python-slugify/pull-request/2

Comment 3 Ben Cotton 2019-08-13 16:54:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Miro Hrončok 2019-08-14 22:24:07 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 5 Miro Hrončok 2019-08-21 16:34:22 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 6 Miro Hrončok 2019-08-21 17:28:58 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 7 Fedora Update System 2019-09-05 07:27:55 UTC
FEDORA-2019-1d6457bcea has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d6457bcea

Comment 8 Fedora Update System 2019-09-05 12:53:20 UTC
python-text-unidecode-1.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d6457bcea

Comment 9 Fedora Update System 2019-09-12 21:08:44 UTC
python-text-unidecode-1.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-21 12:57:11 UTC
FEDORA-2019-8565603712 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8565603712

Comment 11 Fedora Update System 2019-09-22 03:09:32 UTC
python-text-unidecode-1.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8565603712

Comment 12 Fedora Update System 2019-09-30 00:01:34 UTC
python-text-unidecode-1.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.